"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSelectMessage = exports.isMessage = void 0;
/**
 * A type guard for {@link Message} values
 *
 * @beta
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const isMessage = (msg) => !!msg &&
    typeof msg === 'object' &&
    (msg.type === 'message' ||
        msg.type === 'select' ||
        (msg.type === 'junk' && msg.declarations));
exports.isMessage = isMessage;
/**
 * A type guard for {@link SelectMessage} values
 *
 * @beta
 */
const isSelectMessage = (msg) => msg.type === 'select';
exports.isSelectMessage = isSelectMessage;
