import type { Message } from '../data-model';
import type { Runtime } from '../runtime';
/**
 * Validate a message.
 *
 * Throws if `msg` is a {@link JunkMessage},
 * if it contains parse `errors`,
 * or of if references runtime functions that are not available in the `runtime`.
 *
 * Formatting a message that passes validation may still fail,
 * as it may depend on parameters that are not passed in,
 * or its runtime function calls may fail.
 *
 * @beta
 */
export declare function validate(msg: Readonly<Message>, runtime: Runtime): void;
