"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asMessageValue = void 0;
const message_datetime_1 = require("./message-datetime");
const message_number_1 = require("./message-number");
const message_value_1 = require("./message-value");
function asMessageValue(ctx, value, format) {
    if (value instanceof message_value_1.MessageValue) {
        if (format === null || format === void 0 ? void 0 : format.meta)
            value.meta = Object.assign(Object.assign({}, value.meta), format.meta);
        if (format === null || format === void 0 ? void 0 : format.source)
            value.source = format.source;
        return value;
    }
    if (typeof value === 'number' || typeof value === 'bigint')
        return new message_number_1.MessageNumber(ctx, value, format);
    if (value instanceof Date)
        return new message_datetime_1.MessageDateTime(ctx, value, format);
    return new message_value_1.MessageValue(message_value_1.MessageValue.type, ctx, value, format);
}
exports.asMessageValue = asMessageValue;
