import type { LocaleContextArg } from './locale-context';
import { MessageValue, Meta } from './message-value';
/**
 * A child class of {@link MessageValue} for fallback values.
 *
 * Used to represent parse errors as well as runtime/formatting errors.
 *
 * @beta
 */
export declare class MessageFallback extends MessageValue<undefined> {
    static readonly type = "fallback";
    constructor(locale: LocaleContextArg, fmt: {
        meta?: Readonly<Meta>;
        source: string;
    });
    matchSelectKey(): boolean;
    toString(): string;
}
