"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageFallback = void 0;
const message_value_1 = require("./message-value");
/**
 * A child class of {@link MessageValue} for fallback values.
 *
 * Used to represent parse errors as well as runtime/formatting errors.
 *
 * @beta
 */
class MessageFallback extends message_value_1.MessageValue {
    constructor(locale, fmt) {
        super(MessageFallback.type, locale, undefined, fmt);
    }
    matchSelectKey() {
        return false;
    }
    toString() {
        const source = this.source || message_value_1.FALLBACK_SOURCE;
        return `{${source}}`;
    }
}
exports.MessageFallback = MessageFallback;
MessageFallback.type = 'fallback';
