import { Context } from '../format-context';
import type { LocaleContextArg } from './locale-context';
import { MessageValue, Meta } from './message-value';
/**
 * A child class of {@link MessageValue} for numerical values.
 *
 * @beta
 */
export declare class MessageMarkup extends MessageValue<MessageValue[]> {
    static readonly type = "markup";
    name: string;
    options?: Record<string, unknown>;
    constructor(locale: LocaleContextArg, name: string, { tag, meta, options, source }: {
        tag?: 'empty' | 'start' | 'end';
        meta?: Readonly<Meta>;
        options?: Readonly<Record<string, unknown>>;
        source?: string;
    });
    get isEndTag(): boolean;
    matchSelectKey(): boolean;
    toString(onError?: Context['onError']): string;
}
/**
 * Fill out MessageMarkup `value`s with their appropriate contents
 *
 * @param body Modified, assigning element contents & dropping end tags
 */
export declare function fillMessageMarkups(body: MessageValue[]): void;
