import type { Context } from '../format-context';
import { MessageFallback } from '../message-value';
/**
 * When the parser encounters an error, it may emit a Junk pattern element to
 * represent it.
 *
 * Garbage in, garbage out: Resolving a message that includes junk will always
 * resolve it using a fallback representation.
 *
 * @beta
 */
export interface Junk {
    type: 'junk';
    source: string;
    name?: never;
}
/**
 * Type guard for {@link Junk} pattern elements
 *
 * @beta
 */
export declare const isJunk: (part: any) => part is Junk;
export declare function resolveJunk(ctx: Context, { source }: Junk): MessageFallback;
