"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveJunk = exports.isJunk = void 0;
const message_value_1 = require("../message-value");
/**
 * Type guard for {@link Junk} pattern elements
 *
 * @beta
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const isJunk = (part) => !!part && typeof part === 'object' && part.type === 'junk';
exports.isJunk = isJunk;
function resolveJunk(ctx, { source }) {
    const fb = new message_value_1.MessageFallback(ctx, { source });
    const error = new Error('Junk pattern element cannot be resolved');
    ctx.onError(Object.assign(error, { type: 'junk-element' }), fb);
    return fb;
}
exports.resolveJunk = resolveJunk;
