import { MessageLiteral } from '../message-value';
/**
 * An immediately defined value.
 *
 * Always contains a string value. In Function arguments and options,
 * the expeted type of the value may result in the value being
 * further parsed as a boolean or a number.
 *
 * @beta
 */
export interface Literal {
    type: 'literal' | 'nmtoken';
    value: string;
}
/**
 * Top-level literal content.
 *
 * @beta
 */
export declare type Text = {
    type: 'text';
    value: string;
};
/**
 * Type guard for {@link Literal} pattern elements
 *
 * @beta
 */
export declare const isLiteral: (part: any) => part is Literal;
export declare function resolveLiteral(lit: Literal | Text): MessageLiteral;
