"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveLiteral = exports.isLiteral = void 0;
const message_value_1 = require("../message-value");
/**
 * Type guard for {@link Literal} pattern elements
 *
 * @beta
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const isLiteral = (part) => !!part &&
    typeof part === 'object' &&
    (part.type === 'literal' || part.type === 'nmtoken');
exports.isLiteral = isLiteral;
function resolveLiteral(lit) {
    return new message_value_1.MessageLiteral(lit.value);
}
exports.resolveLiteral = resolveLiteral;
